<?php

	$web_designer_custom_css= "";

	/*----------------------First highlight color-------------------*/

	$web_designer_first_color = get_theme_mod('web_designer_first_color');

	if($web_designer_first_color != false){
		$web_designer_custom_css .='#slider .carousel-control-next i:hover, #slider .carousel-control-prev i:hover, #slider .read-btn a, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #service-section .service-box:hover, #service-section .owl-nav button:hover i, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, #sidebar h3, .woocommerce span.onsale, .bradcrumbs a:hover, .bradcrumbs span,.post-categories li a,#sidebar label.wp-block-search__label, #sidebar .wp-block-heading,.wp-block-tag-cloud a:hover,.wp-block-button__link,a.wc-block-components-checkout-return-to-cart-button{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_first_color).';';
		$web_designer_custom_css .='}';
	}

	if($web_designer_first_color != false){
		$web_designer_custom_css .='.wp-block-woocommerce-cart .wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button, .wc-block-components-totals-coupon__button,.wp-block-woocommerce-cart .wc-block-components-product-badge,header.woocommerce-Address-title.title a,.wc-block-grid__product-onsale,a.wp-block-button__link.add_to_cart_button.ajax_add_to_cart{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_first_color).'!important;';
		$web_designer_custom_css .='}';
	}

	if($web_designer_first_color != false){
		$web_designer_custom_css .='a, p.site-title a, .logo h1 a, p.site-description, .main-navigation ul li a:hover, #slider .inner_carousel h1 a, #service-section strong, .copyright a:hover, .post-main-box:hover h2 a, #footer .textwidget a,#footer li a:hover,.post-main-box:hover h3 a,#sidebar ul li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus,p.site-title a{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_first_color).';';
		$web_designer_custom_css .='}';
	}

	/*----------------------Second highlight color-------------------*/

	$web_designer_second_color = get_theme_mod('web_designer_second_color');

	if($web_designer_second_color != false){
		$web_designer_custom_css .='.more-btn a:hover,input[type="submit"]:hover,#comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.pagination .current,.pagination a:hover,#footer .tagcloud a:hover,#sidebar .tagcloud a:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover,nav.woocommerce-MyAccount-navigation ul li:hover, .talk-btn a, .main-navigation ul.sub-menu>li>a:before, #slider .read-btn a:hover, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.pro-button a:hover, #preloader, #footer-2, .scrollup i, .pagination span, .pagination a, .widget_product_search button, .toggle-nav button,.post-categories li a,a.wp-block-button__link.add_to_cart_button.ajax_add_to_cart:hover,.wp-block-woocommerce-cart .wc-block-cart__submit-button:hover, .wc-block-components-checkout-place-order-button:hover, header.woocommerce-Address-title.title a:hover,a.wc-block-components-checkout-return-to-cart-button:hover{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_second_color).' !important;';
		$web_designer_custom_css .='}';
	}

	if($web_designer_second_color != false){
		$web_designer_custom_css .='.post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_second_color).';';
		$web_designer_custom_css .='}';
	}

	if($web_designer_second_color != false){
		$web_designer_custom_css .='{';
			$web_designer_custom_css .='border-color: '.esc_attr($web_designer_second_color).';';
		$web_designer_custom_css .='}';
	}

	if($web_designer_second_color != false){
		$web_designer_custom_css .='.main-header{';
			$web_designer_custom_css .='border-bottom-color: '.esc_attr($web_designer_second_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_custom_css .='@media screen and (max-width:1000px) {';
		if($web_designer_second_color != false){
			$web_designer_custom_css .='.main-navigation a:hover{
			color:'.esc_attr($web_designer_second_color).'!important;
			}';
		}
	$web_designer_custom_css .='}';

	/*---------------------------Width Layout -------------------*/

	$web_designer_theme_lay = get_theme_mod( 'web_designer_width_option','Full Width');
    if($web_designer_theme_lay == 'Boxed'){
		$web_designer_custom_css .='body{';
			$web_designer_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$web_designer_custom_css .='}';
	}else if($web_designer_theme_lay == 'Wide Width'){
		$web_designer_custom_css .='body{';
			$web_designer_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$web_designer_custom_css .='}';
	}else if($web_designer_theme_lay == 'Full Width'){
		$web_designer_custom_css .='body{';
			$web_designer_custom_css .='max-width: 100%;';
		$web_designer_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$web_designer_resp_slider = get_theme_mod( 'web_designer_resp_slider_hide_show',true);
	if($web_designer_resp_slider == true && get_theme_mod( 'web_designer_slider_hide_show', true) == false){
    	$web_designer_custom_css .='#slider{';
			$web_designer_custom_css .='display:none;';
		$web_designer_custom_css .='} ';
	}
    if($web_designer_resp_slider == true){
    	$web_designer_custom_css .='@media screen and (max-width:575px) {';
		$web_designer_custom_css .='#slider{';
			$web_designer_custom_css .='display:block;';
		$web_designer_custom_css .='} }';
	}else if($web_designer_resp_slider == false){
		$web_designer_custom_css .='@media screen and (max-width:575px) {';
		$web_designer_custom_css .='#slider{';
			$web_designer_custom_css .='display:none;';
		$web_designer_custom_css .='} }';
		$web_designer_custom_css .='@media screen and (max-width:575px){';
		$web_designer_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$web_designer_custom_css .='margin-top: 45px;';
		$web_designer_custom_css .='} }';
	}

	$web_designer_resp_sidebar = get_theme_mod( 'web_designer_sidebar_hide_show',true);
    if($web_designer_resp_sidebar == true){
    	$web_designer_custom_css .='@media screen and (max-width:575px) {';
		$web_designer_custom_css .='#sidebar{';
			$web_designer_custom_css .='display:block;';
		$web_designer_custom_css .='} }';
	}else if($web_designer_resp_sidebar == false){
		$web_designer_custom_css .='@media screen and (max-width:575px) {';
		$web_designer_custom_css .='#sidebar{';
			$web_designer_custom_css .='display:none;';
		$web_designer_custom_css .='} }';
	}

	$web_designer_resp_scroll_top = get_theme_mod( 'web_designer_resp_scroll_top_hide_show',true);
	if($web_designer_resp_scroll_top == true && get_theme_mod( 'web_designer_hide_show_scroll',true) == false){
    	$web_designer_custom_css .='.scrollup i{';
			$web_designer_custom_css .='visibility:hidden !important;';
		$web_designer_custom_css .='} ';
	}
    if($web_designer_resp_scroll_top == true){
    	$web_designer_custom_css .='@media screen and (max-width:575px) {';
		$web_designer_custom_css .='.scrollup i{';
			$web_designer_custom_css .='visibility:visible !important;';
		$web_designer_custom_css .='} }';
	}else if($web_designer_resp_scroll_top == false){
		$web_designer_custom_css .='@media screen and (max-width:575px){';
		$web_designer_custom_css .='.scrollup i{';
			$web_designer_custom_css .='visibility:hidden !important;';
		$web_designer_custom_css .='} }';
	}

	$web_designer_resp_menu_toggle_btn_bg_color = get_theme_mod('web_designer_resp_menu_toggle_btn_bg_color');
	if($web_designer_resp_menu_toggle_btn_bg_color != false){
		$web_designer_custom_css .='.toggle-nav button,.sidenav .closebtn{';
			$web_designer_custom_css .='background: '.esc_attr($web_designer_resp_menu_toggle_btn_bg_color).';';
		$web_designer_custom_css .='}';
	}
	
	/*---------------- Button Settings ------------------*/

	$web_designer_button_border_radius = get_theme_mod('web_designer_button_border_radius');
	if($web_designer_button_border_radius != false){
		$web_designer_custom_css .='.post-main-box .more-btn a{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_button_border_radius).'px;';
		$web_designer_custom_css .='}';
	}

	$web_designer_button_padding_top_bottom = get_theme_mod('web_designer_button_padding_top_bottom');
	$web_designer_button_padding_left_right = get_theme_mod('web_designer_button_padding_left_right');
	if($web_designer_button_padding_top_bottom != false || $web_designer_button_padding_left_right != false){
		$web_designer_custom_css .='.post-main-box .more-btn a{';
			$web_designer_custom_css .='padding-top: '.esc_attr($web_designer_button_padding_top_bottom).'!important; padding-bottom: '.esc_attr($web_designer_button_padding_top_bottom).'!important;padding-left: '.esc_attr($web_designer_button_padding_left_right).'!important;padding-right: '.esc_attr($web_designer_button_padding_left_right).'!important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_button_font_size = get_theme_mod('web_designer_button_font_size',14);
	$web_designer_custom_css .='.post-main-box .more-btn a{';
		$web_designer_custom_css .='font-size: '.esc_attr($web_designer_button_font_size).';';
	$web_designer_custom_css .='}';

	// button font weight
	$web_designer_button_font_weight = get_theme_mod('web_designer_button_font_weight');
  	$web_designer_custom_css .='.more-btn a{';
    $web_designer_custom_css .='font-weight: '.esc_attr($web_designer_button_font_weight).'!important;';
  	$web_designer_custom_css .='}';

	$web_designer_theme_lay = get_theme_mod( 'web_designer_button_text_transform','Uppercase');
	if($web_designer_theme_lay == 'Capitalize'){
		$web_designer_custom_css .='.post-main-box .more-btn a{';
			$web_designer_custom_css .='text-transform:Capitalize;';
		$web_designer_custom_css .='}';
	}
	if($web_designer_theme_lay == 'Lowercase'){
		$web_designer_custom_css .='.post-main-box .more-btn a{';
			$web_designer_custom_css .='text-transform:Lowercase;';
		$web_designer_custom_css .='}';
	}
	if($web_designer_theme_lay == 'Uppercase'){ 
		$web_designer_custom_css .='.post-main-box .more-btn a{';
			$web_designer_custom_css .='text-transform:Uppercase;';
		$web_designer_custom_css .='}';
	}

	$web_designer_button_letter_spacing = get_theme_mod('web_designer_button_letter_spacing');
	$web_designer_custom_css .='.post-main-box .more-btn a{';
		$web_designer_custom_css .='letter-spacing: '.esc_attr($web_designer_button_letter_spacing).';';
	$web_designer_custom_css .='}';

	/*---------------- Single Post Settings ------------------*/

	$web_designer_single_blog_comment_title = get_theme_mod('web_designer_single_blog_comment_title', 'Leave a Reply');
	if($web_designer_single_blog_comment_title == ''){
		$web_designer_custom_css .='#comments h2#reply-title {';
			$web_designer_custom_css .='display: none;';
		$web_designer_custom_css .='}';
	}

	$web_designer_single_blog_comment_button_text = get_theme_mod('web_designer_single_blog_comment_button_text', 'Post Comment');
	if($web_designer_single_blog_comment_button_text == ''){
		$web_designer_custom_css .='#comments p.form-submit {';
			$web_designer_custom_css .='display: none;';
		$web_designer_custom_css .='}';
	}

	$web_designer_comment_width = get_theme_mod('web_designer_single_blog_comment_width');
	if($web_designer_comment_width != false){
		$web_designer_custom_css .='#comments textarea{';
			$web_designer_custom_css .='width: '.esc_attr($web_designer_comment_width).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_singlepost_image_box_shadow = get_theme_mod('web_designer_singlepost_image_box_shadow',0);
	if($web_designer_singlepost_image_box_shadow != false){
		$web_designer_custom_css .='.feature-box img{';
			$web_designer_custom_css .='box-shadow: '.esc_attr($web_designer_singlepost_image_box_shadow).'px '.esc_attr($web_designer_singlepost_image_box_shadow).'px '.esc_attr($web_designer_singlepost_image_box_shadow).'px #cccccc;';
		$web_designer_custom_css .='}';
	}

	$web_designer_related_image_box_shadow = get_theme_mod('web_designer_related_image_box_shadow',0);
	if($web_designer_related_image_box_shadow != false){
		$web_designer_custom_css .='.related-post .box-image img{';
			$web_designer_custom_css .='box-shadow: '.esc_attr($web_designer_related_image_box_shadow).'px '.esc_attr($web_designer_related_image_box_shadow).'px '.esc_attr($web_designer_related_image_box_shadow).'px #cccccc;';
		$web_designer_custom_css .='}';
	}

	/*---------------------------Blog Layout -------------------*/

	$web_designer_theme_lay = get_theme_mod( 'web_designer_blog_layout_option','Default');
    if($web_designer_theme_lay == 'Default'){
		$web_designer_custom_css .='.post-main-box{';
			$web_designer_custom_css .='';
		$web_designer_custom_css .='}';
	}else if($web_designer_theme_lay == 'Center'){
		$web_designer_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn{';
			$web_designer_custom_css .='text-align:center;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='.post-info{';
			$web_designer_custom_css .='margin-top:10px;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='.post-info hr{';
			$web_designer_custom_css .='margin:15px auto;';
		$web_designer_custom_css .='}';
	}else if($web_designer_theme_lay == 'Left'){
		$web_designer_custom_css .='.post-main-box, .post-main-box h2, .post-info, .new-text p, .content-bttn, #our-services p{';
			$web_designer_custom_css .='text-align:Left;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='.post-info hr{';
			$web_designer_custom_css .='margin-bottom:10px;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='.post-main-box h2{';
			$web_designer_custom_css .='margin-top:10px;';
		$web_designer_custom_css .='}';
	}

	/*--------------------- Blog Page Posts -------------------*/

	$web_designer_blog_page_posts_settings = get_theme_mod( 'web_designer_blog_page_posts_settings','Into Blocks');
		if($web_designer_blog_page_posts_settings == 'Without Blocks'){
		$web_designer_custom_css .='.post-main-box{';
			$web_designer_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$web_designer_custom_css .='}';
	}

	// featured image dimention
	$web_designer_blog_post_featured_image_dimension = get_theme_mod('web_designer_blog_post_featured_image_dimension', 'default');
	$web_designer_blog_post_featured_image_custom_width = get_theme_mod('web_designer_blog_post_featured_image_custom_width',250);
	$web_designer_blog_post_featured_image_custom_height = get_theme_mod('web_designer_blog_post_featured_image_custom_height',250);
	if($web_designer_blog_post_featured_image_dimension == 'custom'){
		$web_designer_custom_css .='.post-main-box img{';
			$web_designer_custom_css .='width: '.esc_attr($web_designer_blog_post_featured_image_custom_width).'; height: '.esc_attr($web_designer_blog_post_featured_image_custom_height).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_featured_image_border_radius = get_theme_mod('web_designer_featured_image_border_radius', 0);
	if($web_designer_featured_image_border_radius != false){
		$web_designer_custom_css .='.box-image img, .feature-box img{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_featured_image_border_radius).'px;';
		$web_designer_custom_css .='}';
	}

	$web_designer_featured_image_box_shadow = get_theme_mod('web_designer_featured_image_box_shadow',0);
	if($web_designer_featured_image_box_shadow != false){
		$web_designer_custom_css .='.box-image img,  #content-vw img{';
			$web_designer_custom_css .='box-shadow: '.esc_attr($web_designer_featured_image_box_shadow).'px '.esc_attr($web_designer_featured_image_box_shadow).'px '.esc_attr($web_designer_featured_image_box_shadow).'px #cccccc;';
		$web_designer_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$web_designer_copyright_background_color = get_theme_mod('web_designer_copyright_background_color');
	if($web_designer_copyright_background_color != false){
		$web_designer_custom_css .='#footer-2{';
			$web_designer_custom_css.='background-color: '.esc_attr($web_designer_copyright_background_color).';';
		$web_designer_custom_css .='}';
	} 

	$web_designer_footer_widgets_heading = get_theme_mod( 'web_designer_footer_widgets_heading','Left');
    if($web_designer_footer_widgets_heading == 'Left'){
		$web_designer_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
		$web_designer_custom_css .='text-align: left;';
		$web_designer_custom_css .='}';
	}else if($web_designer_footer_widgets_heading == 'Center'){
		$web_designer_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$web_designer_custom_css .='text-align: center;';
		$web_designer_custom_css .='}';
	}else if($web_designer_footer_widgets_heading == 'Right'){
		$web_designer_custom_css .='#footer h3, #footer .wp-block-search .wp-block-search__label{';
			$web_designer_custom_css .='text-align: right;';
		$web_designer_custom_css .='}';
	}

	$web_designer_footer_widgets_content = get_theme_mod( 'web_designer_footer_widgets_content','Left');
    if($web_designer_footer_widgets_content == 'Left'){
		$web_designer_custom_css .='#footer .widget{';
		$web_designer_custom_css .='text-align: left;';
		$web_designer_custom_css .='}';
	}else if($web_designer_footer_widgets_content == 'Center'){
		$web_designer_custom_css .='#footer .widget{';
			$web_designer_custom_css .='text-align: center;';
		$web_designer_custom_css .='}';
	}else if($web_designer_footer_widgets_content == 'Right'){
		$web_designer_custom_css .='#footer .widget{';
			$web_designer_custom_css .='text-align: right;';
		$web_designer_custom_css .='}';
	}

	$web_designer_copyright_alingment = get_theme_mod('web_designer_copyright_alingment');
	if($web_designer_copyright_alingment != false){
		$web_designer_custom_css .='.copyright p,#footer-2 p{';
			$web_designer_custom_css .='text-align: '.esc_attr($web_designer_copyright_alingment).';';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='
		@media screen and (max-width:720px) {
			.copyright p,#footer-2 p{';
			$web_designer_custom_css .='text-align: center;} }';
	}

	$web_designer_resp_stickycopyright = get_theme_mod( 'web_designer_stickycopyright_hide_show',false);
	if($web_designer_resp_stickycopyright == true && get_theme_mod( 'web_designer_copyright_sticky',false) != true){
    	$web_designer_custom_css .='.copyright-sticky{';
			$web_designer_custom_css .='position:static;';
		$web_designer_custom_css .='} ';
	}

	$web_designer_footer_social_icons_font_size = get_theme_mod('web_designer_footer_social_icons_font_size','16');
	$web_designer_custom_css .='.copyright .widget i{';
		$web_designer_custom_css .='font-size: '.esc_attr($web_designer_footer_social_icons_font_size).'px;';
	$web_designer_custom_css .='}';

	$web_designer_align_footer_social_icon = get_theme_mod('web_designer_align_footer_social_icon');
	if($web_designer_align_footer_social_icon != false){
		$web_designer_custom_css .='.copyright .widget{';
			$web_designer_custom_css .='text-align: '.esc_attr($web_designer_align_footer_social_icon).';';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='
		@media screen and (max-width:720px) {
			.copyright .widget{';
			$web_designer_custom_css .='text-align: center;} }';
	}

	$web_designer_footer_padding = get_theme_mod('web_designer_footer_padding');
	if($web_designer_footer_padding != false){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='padding: '.esc_attr($web_designer_footer_padding).' 0;';
		$web_designer_custom_css .='}';
	}

	$web_designer_footer_background_image = get_theme_mod('web_designer_footer_background_image');
	if($web_designer_footer_background_image != false){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background: url('.esc_attr($web_designer_footer_background_image).');background-size:cover;';
		$web_designer_custom_css .='}';
	}

	$web_designer_footer_background_color = get_theme_mod('web_designer_footer_background_color');
	if($web_designer_footer_background_color != false){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_footer_background_color).';';
		$web_designer_custom_css .='}';
	}
	
	$web_designer_theme_lay = get_theme_mod( 'web_designer_img_footer','scroll');
	if($web_designer_theme_lay == 'fixed'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background-attachment: fixed !important;';
		$web_designer_custom_css .='}';
	}elseif ($web_designer_theme_lay == 'scroll'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background-attachment: scroll !important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_footer_img_position = get_theme_mod('web_designer_footer_img_position','center center');
	if($web_designer_footer_img_position != false){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background-position: '.esc_attr($web_designer_footer_img_position).'!important;';
		$web_designer_custom_css .='}';
	} 

	$web_designer_copyright_font_size = get_theme_mod('web_designer_copyright_font_size');
	if($web_designer_copyright_font_size != false){
		$web_designer_custom_css .='.copyright p, .copyright a{';
			$web_designer_custom_css .='font-size: '.esc_attr($web_designer_copyright_font_size).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_copyright_font_weight = get_theme_mod('web_designer_copyright_font_weight');
	if($web_designer_copyright_font_weight != false){
		$web_designer_custom_css .='.copyright p, .copyright a{';
			$web_designer_custom_css .='font-weight: '.esc_attr($web_designer_copyright_font_weight).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_copyright_text_color = get_theme_mod('web_designer_copyright_text_color');
	if($web_designer_copyright_text_color != false){
		$web_designer_custom_css .='.copyright p, .copyright a{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_copyright_text_color).';';
		$web_designer_custom_css .='}';
	} 

	/*---------------------------Slider Height ------------*/

	$web_designer_slider_height = get_theme_mod('web_designer_slider_height');
	if($web_designer_slider_height != false){
		$web_designer_custom_css .='#slider img{';
			$web_designer_custom_css .='height: '.esc_attr($web_designer_slider_height).';';
		$web_designer_custom_css .='}';
	}

	/*---------------------- Slider Image Overlay ------------------------*/

	$web_designer_slider_image_overlay_color = get_theme_mod('web_designer_slider_image_overlay_color');
	if($web_designer_slider_image_overlay_color != false){
		$web_designer_custom_css .='#slider{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_slider_image_overlay_color).';';
		$web_designer_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	$web_designer_logo_padding = get_theme_mod('web_designer_logo_padding');
	if($web_designer_logo_padding != false){
		$web_designer_custom_css .='.main-header .logo{';
			$web_designer_custom_css .='padding: '.esc_attr($web_designer_logo_padding).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_logo_margin = get_theme_mod('web_designer_logo_margin');
	if($web_designer_logo_margin != false){
		$web_designer_custom_css .='.main-header .logo{';
			$web_designer_custom_css .='margin: '.esc_attr($web_designer_logo_margin).';';
		$web_designer_custom_css .='}';
	}

	// Site title Font Size
	$web_designer_site_title_font_size = get_theme_mod('web_designer_site_title_font_size');
	if($web_designer_site_title_font_size != false){
		$web_designer_custom_css .='.logo h1, .logo p.site-title{';
			$web_designer_custom_css .='font-size: '.esc_attr($web_designer_site_title_font_size).';';
		$web_designer_custom_css .='}';
	}

	// Site tagline Font Size
	$web_designer_site_tagline_font_size = get_theme_mod('web_designer_site_tagline_font_size');
	if($web_designer_site_tagline_font_size != false){
		$web_designer_custom_css .='.logo p.site-description{';
			$web_designer_custom_css .='font-size: '.esc_attr($web_designer_site_tagline_font_size).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_site_title_color = get_theme_mod('web_designer_site_title_color');
	if($web_designer_site_title_color != false){
		$web_designer_custom_css .='p.site-title a{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_site_title_color).'!important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_site_tagline_color = get_theme_mod('web_designer_site_tagline_color');
	if($web_designer_site_tagline_color != false){
		$web_designer_custom_css .='.logo p.site-description{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_site_tagline_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_logo_width = get_theme_mod('web_designer_logo_width');
	if($web_designer_logo_width != false){
		$web_designer_custom_css .='.logo img{';
			$web_designer_custom_css .='width: '.esc_attr($web_designer_logo_width).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_logo_height = get_theme_mod('web_designer_logo_height');
	if($web_designer_logo_height != false){
		$web_designer_custom_css .='.logo img{';
			$web_designer_custom_css .='height: '.esc_attr($web_designer_logo_height).';';
		$web_designer_custom_css .='}';
	}

	// Woocommerce img

	$web_designer_shop_featured_image_border_radius = get_theme_mod('web_designer_shop_featured_image_border_radius', 0);
	if($web_designer_shop_featured_image_border_radius != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product a img{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_shop_featured_image_border_radius).'px;';
		$web_designer_custom_css .='}';
	}

	$web_designer_shop_featured_image_box_shadow = get_theme_mod('web_designer_shop_featured_image_box_shadow');
	if($web_designer_shop_featured_image_box_shadow != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product a img{';
				$web_designer_custom_css .='box-shadow: '.esc_attr($web_designer_shop_featured_image_box_shadow).'px '.esc_attr($web_designer_shop_featured_image_box_shadow).'px '.esc_attr($web_designer_shop_featured_image_box_shadow).'px #ddd;';
		$web_designer_custom_css .='}';
	}

	// menus

	$web_designer_header_menus_color = get_theme_mod('web_designer_header_menus_color');
	if($web_designer_header_menus_color != false){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_header_menus_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_header_menus_hover_color = get_theme_mod('web_designer_header_menus_hover_color');
	if($web_designer_header_menus_hover_color != false){
		$web_designer_custom_css .='.main-navigation ul li a:hover{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_header_menus_hover_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_header_submenus_color = get_theme_mod('web_designer_header_submenus_color');
	if($web_designer_header_submenus_color != false){
		$web_designer_custom_css .='.main-navigation ul ul a{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_header_submenus_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_header_submenus_hover_color = get_theme_mod('web_designer_header_submenus_hover_color');
	if($web_designer_header_submenus_hover_color != false){
		$web_designer_custom_css .='.main-navigation ul.sub-menu a:hover{';
			$web_designer_custom_css .='color: '.esc_attr($web_designer_header_submenus_hover_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_menus_item = get_theme_mod( 'web_designer_menus_item_style','None');
    if($web_designer_menus_item == 'None'){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='';
		$web_designer_custom_css .='}';
	}else if($web_designer_menus_item == 'Zoom In'){
		$web_designer_custom_css .='.main-navigation a:hover{';
			$web_designer_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: #46bf72;';
		$web_designer_custom_css .='}';
	}

	$web_designer_navigation_menu_font_size = get_theme_mod('web_designer_navigation_menu_font_size');
	if($web_designer_navigation_menu_font_size != false){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='font-size: '.esc_attr($web_designer_navigation_menu_font_size).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_navigation_menu_font_weight = get_theme_mod('web_designer_navigation_menu_font_weight','500');
	if($web_designer_navigation_menu_font_weight != false){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='font-weight: '.esc_attr($web_designer_navigation_menu_font_weight).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_theme_lay = get_theme_mod( 'web_designer_menu_text_transform','Capitalize');
	if($web_designer_theme_lay == 'Capitalize'){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='text-transform:Capitalize;';
		$web_designer_custom_css .='}';
	}
	if($web_designer_theme_lay == 'Lowercase'){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='text-transform:Lowercase;';
		$web_designer_custom_css .='}';
	}
	if($web_designer_theme_lay == 'Uppercase'){
		$web_designer_custom_css .='.main-navigation a{';
			$web_designer_custom_css .='text-transform:Uppercase;';
		$web_designer_custom_css .='}';
	}

		/*---------------------------Footer Style -------------------*/

	$web_designer_theme_lay = get_theme_mod( 'web_designer_footer_template','web_designer-footer-one');
    if($web_designer_theme_lay == 'web_designer-footer-one'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer ul li{';
			$web_designer_custom_css .='color:#fff;';
		$web_designer_custom_css .='}';

	}else if($web_designer_theme_lay == 'web_designer-footer-two'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background: linear-gradient(to right, #f9f8ff, #dedafa);';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field,#footer ul li{';
			$web_designer_custom_css .='color:#000;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer ul li::before{';
			$web_designer_custom_css .='background:#000;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$web_designer_custom_css .='border: 1px solid #000;';
		$web_designer_custom_css .='}';

	}else if($web_designer_theme_lay == 'web_designer-footer-three'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background: #232524;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer ul li{';
			$web_designer_custom_css .='color: #fff;';
		$web_designer_custom_css .='}';
	}
	else if($web_designer_theme_lay == 'web_designer-footer-four'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background: #f7f7f7;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer p, #footer li a, #footer, #footer h3, #footer a.rsswidget, #footer #wp-calendar a, .copyright a, #footer .custom_details, #footer ins span, #footer .tagcloud a, .main-inner-box span.entry-date a, nav.woocommerce-MyAccount-navigation ul li:hover a, #footer ul li a, #footer table, #footer th, #footer td, #footer caption, #sidebar caption,#footer nav.wp-calendar-nav a,#footer .search-form .search-field,#footer ul li{';
			$web_designer_custom_css .='color:#000;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer ul li::before{';
			$web_designer_custom_css .='background:#000;';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer table, #footer th, #footer td,#footer .search-form .search-field,#footer .tagcloud a{';
			$web_designer_custom_css .='border: 1px solid #000;';
		$web_designer_custom_css .='}';
	}
	else if($web_designer_theme_lay == 'web_designer-footer-five'){
		$web_designer_custom_css .='#footer{';
			$web_designer_custom_css .='background: linear-gradient(to right, #01093a, #2d0b00);';
		$web_designer_custom_css .='}';
		$web_designer_custom_css .='#footer ul li{';
			$web_designer_custom_css .='color: #fff;';
		$web_designer_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$web_designer_preloader_bg_color = get_theme_mod('web_designer_preloader_bg_color');
	if($web_designer_preloader_bg_color != false){
		$web_designer_custom_css .='#preloader{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_preloader_bg_color).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_preloader_border_color = get_theme_mod('web_designer_preloader_border_color');
	if($web_designer_preloader_border_color != false){
		$web_designer_custom_css .='.loader-line{';
			$web_designer_custom_css .='border-color: '.esc_attr($web_designer_preloader_border_color).'!important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_preloader_bg_img = get_theme_mod('web_designer_preloader_bg_img');
	if($web_designer_preloader_bg_img != false){
		$web_designer_custom_css .='#preloader{';
			$web_designer_custom_css .='background: url('.esc_attr($web_designer_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$web_designer_custom_css .='}';
	}

	// Header Background Color

	$web_designer_header_background_color = get_theme_mod('web_designer_header_background_color');
	if($web_designer_header_background_color != false){
		$web_designer_custom_css .='.main-header{';
			$web_designer_custom_css .='background-color: '.esc_attr($web_designer_header_background_color).';';
		$web_designer_custom_css .='}';
	}

	/*------------------ Slider css  -------------------*/
	// $web_designer_slider_hide_show = get_theme_mod('web_designer_slider_hide_show',false);
	// if($web_designer_slider_hide_show == false){
	// 	$web_designer_custom_css .='.quoute-text{';
	// 		$web_designer_custom_css .=' position: static;';
	// 	$web_designer_custom_css .='}';
	// }

	$web_designer_resp_slider_hide_show = get_theme_mod('web_designer_resp_slider_hide_show',false);
	if($web_designer_resp_slider_hide_show == false){
		$web_designer_custom_css .='@media screen and (max-width: 575px) {
			.quoute-text{';
				$web_designer_custom_css .=' margin-top: 10px;';
		$web_designer_custom_css .='} }';
	}

	$web_designer_related_product_show_hide = get_theme_mod('web_designer_related_product_show_hide',true);
	if($web_designer_related_product_show_hide != true){
		$web_designer_custom_css .='.related.products{';
			$web_designer_custom_css .='display: none;';
		$web_designer_custom_css .='}';
	}

	$web_designer_single_blog_post_navigation_show_hide = get_theme_mod('web_designer_single_blog_post_navigation_show_hide',true);
	if($web_designer_single_blog_post_navigation_show_hide != true){
		$web_designer_custom_css .='.post-navigation{';
			$web_designer_custom_css .='display: none;';
		$web_designer_custom_css .='}';
	}

	/*--------------------- Grid Posts Posts -------------------*/

	$web_designer_display_grid_posts_settings = get_theme_mod( 'web_designer_display_grid_posts_settings','Into Blocks');
    if($web_designer_display_grid_posts_settings == 'Without Blocks'){
		$web_designer_custom_css .='.grid-post-main-box{';
			$web_designer_custom_css .='box-shadow: none; border: none; margin:30px 0;';
		$web_designer_custom_css .='}';
	}

	$web_designer_grid_featured_image_border_radius = get_theme_mod('web_designer_grid_featured_image_border_radius', 0);
	if($web_designer_grid_featured_image_border_radius != false){
		$web_designer_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_grid_featured_image_border_radius).'px;';
		$web_designer_custom_css .='}';
	}

	$web_designer_grid_featured_image_box_shadow = get_theme_mod('web_designer_grid_featured_image_box_shadow',0);
	if($web_designer_grid_featured_image_box_shadow != false){
		$web_designer_custom_css .='.grid-post-main-box .box-image img, .grid-post-main-box .feature-box img, #content-vw img{';
			$web_designer_custom_css .='box-shadow: '.esc_attr($web_designer_grid_featured_image_box_shadow).'px '.esc_attr($web_designer_grid_featured_image_box_shadow).'px '.esc_attr($web_designer_grid_featured_image_box_shadow).'px #cccccc;';
		$web_designer_custom_css .='}';
	}

	/*----------------Social Icons Settings ------------------*/

	$web_designer_social_icon_font_size = get_theme_mod('web_designer_social_icon_font_size');
	if($web_designer_social_icon_font_size != false){
		$web_designer_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$web_designer_custom_css .='font-size: '.esc_attr($web_designer_social_icon_font_size).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_social_icon_padding = get_theme_mod('web_designer_social_icon_padding');
	if($web_designer_social_icon_padding != false){
		$web_designer_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$web_designer_custom_css .='padding: '.esc_attr($web_designer_social_icon_padding).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_social_icon_width = get_theme_mod('web_designer_social_icon_width');
	if($web_designer_social_icon_width != false){
		$web_designer_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$web_designer_custom_css .='width: '.esc_attr($web_designer_social_icon_width).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_social_icon_height = get_theme_mod('web_designer_social_icon_height');
	if($web_designer_social_icon_height != false){
		$web_designer_custom_css .='#sidebar .custom-social-icons i, #footer-2 .custom-social-icons i{';
			$web_designer_custom_css .='height: '.esc_attr($web_designer_social_icon_height).';';
		$web_designer_custom_css .='}';
	}


 	/*---------------- Footer Settings ------------------*/

	$web_designer_button_footer_heading_letter_spacing = get_theme_mod('web_designer_button_footer_heading_letter_spacing',1);
	$web_designer_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$web_designer_custom_css .='letter-spacing: '.esc_attr($web_designer_button_footer_heading_letter_spacing).'px;';
	$web_designer_custom_css .='}';

	$web_designer_button_footer_font_size = get_theme_mod('web_designer_button_footer_font_size','30');
	$web_designer_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
		$web_designer_custom_css .='font-size: '.esc_attr($web_designer_button_footer_font_size).'px;';
	$web_designer_custom_css .='}';

	$web_designer_theme_lay = get_theme_mod( 'web_designer_button_footer_text_transform','Capitalize');
	if($web_designer_theme_lay == 'Capitalize'){
		$web_designer_custom_css .='#footer h3{';
			$web_designer_custom_css .='text-transform:Capitalize;';
		$web_designer_custom_css .='}';
	}
	if($web_designer_theme_lay == 'Lowercase'){
		$web_designer_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$web_designer_custom_css .='text-transform:Lowercase;';
		$web_designer_custom_css .='}';
	}
	if($web_designer_theme_lay == 'Uppercase'){
		$web_designer_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$web_designer_custom_css .='text-transform:Uppercase;';
		$web_designer_custom_css .='}';
	}

	$web_designer_footer_heading_weight = get_theme_mod('web_designer_footer_heading_weight','600');
	if($web_designer_footer_heading_weight != false){
		$web_designer_custom_css .='#footer h3, a.rsswidget.rss-widget-title{';
			$web_designer_custom_css .='font-weight: '.esc_attr($web_designer_footer_heading_weight).';';
		$web_designer_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$web_designer_related_product_show_hide = get_theme_mod('web_designer_related_product_show_hide',true);
	if($web_designer_related_product_show_hide != true){
		$web_designer_custom_css .='.related.products{';
			$web_designer_custom_css .='display: none;';
		$web_designer_custom_css .='}';
	}

	/*----------------Woocommerce Products Settings ------------------*/

	$web_designer_products_padding_top_bottom = get_theme_mod('web_designer_products_padding_top_bottom');
	if($web_designer_products_padding_top_bottom != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$web_designer_custom_css .='padding-top: '.esc_attr($web_designer_products_padding_top_bottom).'!important; padding-bottom: '.esc_attr($web_designer_products_padding_top_bottom).'!important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_products_padding_left_right = get_theme_mod('web_designer_products_padding_left_right');
	if($web_designer_products_padding_left_right != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$web_designer_custom_css .='padding-left: '.esc_attr($web_designer_products_padding_left_right).'!important; padding-right: '.esc_attr($web_designer_products_padding_left_right).'!important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_products_box_shadow = get_theme_mod('web_designer_products_box_shadow');
	if($web_designer_products_box_shadow != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
				$web_designer_custom_css .='box-shadow: '.esc_attr($web_designer_products_box_shadow).'px '.esc_attr($web_designer_products_box_shadow).'px '.esc_attr($web_designer_products_box_shadow).'px #ddd;';
		$web_designer_custom_css .='}';
	}

	$web_designer_products_border_radius = get_theme_mod('web_designer_products_border_radius');
	if($web_designer_products_border_radius != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_products_border_radius).'px;';
		$web_designer_custom_css .='}';
	}

	$web_designer_products_btn_padding_top_bottom = get_theme_mod('web_designer_products_btn_padding_top_bottom');
	if($web_designer_products_btn_padding_top_bottom != false){
		$web_designer_custom_css .='.woocommerce a.button{';
			$web_designer_custom_css .='padding-top: '.esc_attr($web_designer_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($web_designer_products_btn_padding_top_bottom).' !important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_products_btn_padding_left_right = get_theme_mod('web_designer_products_btn_padding_left_right');
	if($web_designer_products_btn_padding_left_right != false){
		$web_designer_custom_css .='.woocommerce a.button{';
			$web_designer_custom_css .='padding-left: '.esc_attr($web_designer_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($web_designer_products_btn_padding_left_right).' !important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_products_button_border_radius = get_theme_mod('web_designer_products_button_border_radius', 0);
	if($web_designer_products_button_border_radius != false){
		$web_designer_custom_css .='.woocommerce ul.products li.product .button, a.checkout-button.button.alt.wc-forward,.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.woocommerce a.button{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_products_button_border_radius).'px !important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_woocommerce_sale_position = get_theme_mod( 'web_designer_woocommerce_sale_position','right');
    if($web_designer_woocommerce_sale_position == 'left'){
		$web_designer_custom_css .='.woocommerce ul.products li.product .onsale{';
			$web_designer_custom_css .='left: 12px !important; right: auto !important;';
		$web_designer_custom_css .='}';
	}else if($web_designer_woocommerce_sale_position == 'right'){
		$web_designer_custom_css .='.woocommerce ul.products li.product .onsale{';
			$web_designer_custom_css .='left: auto!important; right: 0 !important;';
		$web_designer_custom_css .='}';
	}

	$web_designer_woocommerce_sale_font_size = get_theme_mod('web_designer_woocommerce_sale_font_size');
	if($web_designer_woocommerce_sale_font_size != false){
		$web_designer_custom_css .='.woocommerce span.onsale{';
			$web_designer_custom_css .='font-size: '.esc_attr($web_designer_woocommerce_sale_font_size).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_woocommerce_sale_padding_top_bottom = get_theme_mod('web_designer_woocommerce_sale_padding_top_bottom');
	if($web_designer_woocommerce_sale_padding_top_bottom != false){
		$web_designer_custom_css .='.woocommerce span.onsale{';
			$web_designer_custom_css .='padding-top: '.esc_attr($web_designer_woocommerce_sale_padding_top_bottom).'; padding-bottom: '.esc_attr($web_designer_woocommerce_sale_padding_top_bottom).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_woocommerce_sale_padding_left_right = get_theme_mod('web_designer_woocommerce_sale_padding_left_right');
	if($web_designer_woocommerce_sale_padding_left_right != false){
		$web_designer_custom_css .='.woocommerce span.onsale{';
			$web_designer_custom_css .='padding-left: '.esc_attr($web_designer_woocommerce_sale_padding_left_right).'; padding-right: '.esc_attr($web_designer_woocommerce_sale_padding_left_right).';';
		$web_designer_custom_css .='}';
	}

	$web_designer_woocommerce_sale_border_radius = get_theme_mod('web_designer_woocommerce_sale_border_radius', 0);
	if($web_designer_woocommerce_sale_border_radius != false){
		$web_designer_custom_css .='.woocommerce span.onsale{';
			$web_designer_custom_css .='border-radius: '.esc_attr($web_designer_woocommerce_sale_border_radius).'px;';
		$web_designer_custom_css .='}';
	}

	$web_designer_responsive_preloader_hide = get_theme_mod('web_designer_responsive_preloader_hide',false);
	if($web_designer_responsive_preloader_hide == true && get_theme_mod('web_designer_loader_enable',false) == false){
		$web_designer_custom_css .='@media screen and (min-width:575px){
			#preloader{';
			$web_designer_custom_css .='display:none !important;';
		$web_designer_custom_css .='} }';
	}

	if($web_designer_responsive_preloader_hide == false){
		$web_designer_custom_css .='@media screen and (max-width:575px){
			#preloader{';
			$web_designer_custom_css .='display:none !important;';
		$web_designer_custom_css .='} }';
	}

	$web_designer_resp_stickyheader = get_theme_mod( 'web_designer_stickyheader_hide_show',false);
	if($web_designer_resp_stickyheader == true && get_theme_mod( 'web_designer_sticky_header',false) != true){
    	$web_designer_custom_css .='.header-fixed{';
			$web_designer_custom_css .='position:static;';
		$web_designer_custom_css .='} ';
	}
    if($web_designer_resp_stickyheader == true){
    	$web_designer_custom_css .='@media screen and (max-width:575px) {';
		$web_designer_custom_css .='.header-fixed{';
			$web_designer_custom_css .='position:fixed;';
		$web_designer_custom_css .='} }';
	}else if($web_designer_resp_stickyheader == false){
		$web_designer_custom_css .='@media screen and (max-width:575px){';
		$web_designer_custom_css .='.header-fixed{';
			$web_designer_custom_css .='position:static;';
		$web_designer_custom_css .='} }';
	}

	$web_designer_bradcrumbs_alignment = get_theme_mod( 'web_designer_bradcrumbs_alignment','Left');
    if($web_designer_bradcrumbs_alignment == 'Left'){
    	$web_designer_custom_css .='@media screen and (min-width:768px) {';
		$web_designer_custom_css .='.bradcrumbs{';
			$web_designer_custom_css .='text-align:start;';
		$web_designer_custom_css .='}}';
	}else if($web_designer_bradcrumbs_alignment == 'Center'){
		$web_designer_custom_css .='@media screen and (min-width:768px) {';
		$web_designer_custom_css .='.bradcrumbs{';
			$web_designer_custom_css .='text-align:center;';
		$web_designer_custom_css .='}}';
	}else if($web_designer_bradcrumbs_alignment == 'Right'){
		$web_designer_custom_css .='@media screen and (min-width:768px) {';
		$web_designer_custom_css .='.bradcrumbs{';
			$web_designer_custom_css .='text-align:end;';
		$web_designer_custom_css .='}}';
	}

	// sticky sidebar
		$web_designer_resp_stickysidebar = get_theme_mod( 'web_designer_stickysidebar_hide_show',false);
	if($web_designer_resp_stickysidebar == true && get_theme_mod( 'web_designer_sticky_sidebar',false) != true){
		$web_designer_custom_css .= '@media (min-width: 768px) {';
    	$web_designer_custom_css .='#sidebar{';
			$web_designer_custom_css .='position:static;';
		$web_designer_custom_css .='} ';
		$web_designer_custom_css .= '}';
	}
    // First Letter Capital
	$web_designer_show_first_caps = get_theme_mod('web_designer_show_first_caps', false);
	if ($web_designer_show_first_caps ) {
	    $web_designer_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $web_designer_custom_css .=' font-size: 55px;font-weight: 600;margin-right: 5px;';
	    $web_designer_custom_css .='}';
	} else {
		$web_designer_custom_css .= '.post-main-box .new-text p:nth-of-type(1)::first-letter {';
	    $web_designer_custom_css .= 'display: none;';
	    $web_designer_custom_css .='}';
	}
	// Featured hover image effect //
	$web_designer_show_featured = get_theme_mod( 'web_designer_featured_image_hide_show', 1 );
	$web_designer_hover_effect  = get_theme_mod( 'web_designer_featured_image_hover', 'none' );

	if ( $web_designer_show_featured && $web_designer_hover_effect !== 'none' ) {

		$web_designer_custom_css .= '
		.web-designer-featured-image img{
			transition: all 0.4s ease;
		}';

		if ( $web_designer_hover_effect === 'zoom-in' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image:hover img{
				transform: scale(1.2);
			}';
		}

		if ( $web_designer_hover_effect === 'zoom-out' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image img{
				transform: scale(1.2);
			}
			.web-designer-featured-image:hover img{
				transform: scale(1);
			}';
		}

		if ( $web_designer_hover_effect === 'grayscale' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image img{
				filter: grayscale(100%);
			}
			.web-designer-featured-image:hover img{
				filter: grayscale(0);
			}';
		}

		if ( $web_designer_hover_effect === 'sepia' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image:hover img{
				filter: sepia(100%);
			}';
		}

		if ( $web_designer_hover_effect === 'blur' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image:hover img{
				filter: blur(3px);
			}';
		}

		if ( $web_designer_hover_effect === 'bright' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image:hover img{
				filter: brightness(1.3);
			}';
		}

		if ( $web_designer_hover_effect === 'translate' ) {
			$web_designer_custom_css .= '
			.web-designer-featured-image:hover img{
				transform: translateY(-10px);
			}';
		}
	}
